| Home >> All >> com >> RuntimeCollective >> [ sitemap Javadoc ] |
com.RuntimeCollective.sitemap: Javadoc index of package com.RuntimeCollective.sitemap.
Package Samples:
com.RuntimeCollective.sitemap.bean: The Sitemap module defines the necessary classes to set up and edit the structure of a content library.
com.RuntimeCollective.sitemap.action
com.RuntimeCollective.sitemap.decorator
com.RuntimeCollective.sitemap.form
com.RuntimeCollective.sitemap.servlet
com.RuntimeCollective.sitemap.tag
com.RuntimeCollective.sitemap.test
Classes:
RemoveBookmarkTag: A custom JSP tag that sets the request parameters necessary for removing a site location from the user's bookmarks. It generates an a href tag, pointing to the /addRemoveBookmark action. This tag takes the following attributes: name - the name of the bean, under page or request or session scope, that holds the id of the site location [Optional]. scope - the scope of the bean to load [Optional]. property - the property of the bean, specified by 'name', that holds the id of the site location. If this is not set, then 'id' is used. [Optional]. id - the id of the site location to bookmark. [Optional]. ...
AddBookmarkTag: A custom JSP tag that sets the request parameters necessary for adding a site location to the user's bookmarks. It generates an a href tag, pointing to the /addRemoveBookmark action. This tag takes the following attributes: name - the name of the bean, under page or request or session scope, that holds the id of the site location [Optional]. scope - the scope of the bean to load [Optional]. property - the property of the bean, specified by 'name', that holds the id of the site location. If this is not set, then 'id' is used. [Optional]. id - the id of the site location to bookmark. [Optional]. ...
BreadcrumbTag: View the breadcrumb trail for a specified SiteNode. The attributes identify the id of the SiteNode to use, and options for how the breadcrumb trail is displayed. This JSP tag takes the following attributes: name - the name of the bean, under page or request or session scope, that holds the id of the SiteNode [Optional]. scope - the scope of the bean to load [Optional]. property - the property of the bean, specified by 'name', that holds the id of the SiteNode. If this is not set, then 'id' is used. [Optional]. id - the id of the SiteNode to bookmark. [Optional]. parameter - the request parameter ...
SiteNode: The SiteNode version of the ContentSiteLocation, which can have a parent and children SiteNodes. The SiteNode hierarchy was designed with the principle of "the sub node doesn't *do* things to its parent": setting a Child in a SiteNode also sets the Child's ParentNode, NOT the opposite If you want to be spared the hassle of writing JSPs to create/edit your SiteNode objects, do have a look at the pages written for the Sussex Enterprise project. You can find them by checking out the relevent project: "cvs co rsework", then look in rsework/web/admin. The pages are called addPageXXX.jsp and editPageXXX.jsp. ...
Publishable: Interface to implement if you want an object to be publishable, ie sometimes live and sometimes dead. If you want to be spared the hassle of writing JSPs for the publishing of your Publishable objects, do have a look at the pages written for the Sussex Enterprise project. You can find them by checking out the relevent project: "cvs co rsework", then look in rsework/web/admin. The pages are called publishPageXXX.jsp. They should be pretty self-explanatory. The rsework/struts-config.xml file is also worth checking, for the action mappings etc. And while you're at it, why not vanilla them and copy ...
HitTracker: Singleton class that tracks hits for SiteLocation s marked "isOfInterest". This default implementation does nothing; you should subclass, and override the logHit method. To use your subclass, you must add a parameter to web.xml under the PARAM_NAME key, with the fully resolved class name of your subclass. For example: <init-param> <param-name>param.hitTracker</param-name> <param-value>com.RuntimeCollective.se.PivotalHitTracker</param-value> </init-param>
LiveSitemapCache: A class which caches the id of the live Channels, Subsections, Pages and Subsections, so that the dynamic sitemap.jsp for example doesn't have to re-read those lists every time. This static cache can be notified to update itself using markNeedUpdate (eg when a new page is made live). It also update itself after midnight, ie when new pages are scheduled to go live or dead. This could be made more efficient using a Timer. This class is very much SE specific - but it can give some ideas for other projects.
RotatingContentStateForm: This form can be used to edit individual states of a Rotating Content. That is, a ContentSiteLocation can be configured to have a Rotating Content, under a given mapping name (eg "rotatingBox2"). RotatingContent is not a type of content per se, it is instead made of a list of individual states, each state being a TextComponent, plus some links, plus whether is should show links to the CSL's sub-pages. This form lets you edit such a state.
PublishableStatusTag: A custom JSP tag that creates displays the status of a Publishable. This Tag now uses an optional web.xml parameters to know which "display style to use". For now the only supported styles are: - "trunkandlive" for versioned publishables which have one trunk and one live versions - nothing, "" for the default behavior One parameter: name - the name of the Publishable bean (on any scope).
PublishDateTag: A custom JSP tag that creates a date tag for the publication of pages. Two parameters: property - the base name of the properties, hence the tag will refer to propertyDay, propertyMonth and propertyYear properties. name - the name of the form bean (on any scope) that contains the current values.
ColourSchemeInputTag: A custom JSP tag that creates a ColourScheme chooser tag. Two parameters: property - the property of the form bean that will be set. name - the name of the form bean (on any scope) that contains the current value. If this is not set, defaults to 1. [Optional]
EditExternalLinkInSitemapAction: A subclass of EditExternalLinkAction, which cares about the fact that the ExternalLink may be referenced by ContentSiteLocations: when deleting the link, the relevent ContentSiteLocations should be told that they lost a Link. The datamodel itself is always kept in proper order through "on delete cascade"s.
SimplePublishable: A commodity class which implements all the basic functionality of Publishable, so we can spare duplicating lots of simple code. It also now reuses SimplePermissible, to let you constrain the access to Publishable items. This class should be subclassed to add more functionality.
ToPublishStatusTag: A custom JSP tag that displays the status of a Publishable for the admin to Publish it or not. The displayed message looks like: No change, Page changed, New page. One parameter: name - the name of the Publishable bean (on any scope).
PublishVersionedPublishableAction: This Action publishes a Live version of a Versioned Publishable. The Trunk version is marked as Live and published as normal, but it is also copied into a Live version, which should be what users will see on the Website. Only the live version is indexed for the search.
ContentSiteLocation: A SiteLocation, which is itself a Content, and which holds other Contents in given roles and positions. It implements Searchable, so will be available to the site-wide search. It is now also Versioned, so that each CSL can be accessible in different versions.
BySubsectionSearchAction: Implementation of Action that performs a BySubsection search. This allows the user to select one subsection to search into, or all. It also allows to constrain searched to bboard topics, using the same form parameter.
SiteLocationLink: The SiteLocationLink class implements the abstract Link class, by linking to a SiteLocation. NB: Saving a SLL doesn't save its SiteLocation, as that could provoke some infinite loop. So take care of saving the destination first.
SimpleSiteLocation: A commodity class which implements all the basic functionality of SiteLocation, so we can spare duplicating lots of simple code. It reuses SimplePublishable. This class should be subclassed to add more functionality.
MakePublishableToBeApprovedAction: Implementation of Action that makes a Publishable ToBeApproved (or "Approved", and also makes a new version, if the Publishable's needsApproval() is false). It is passed the id of the Publishable.
Bookmarks: A collection of bookmarked content for a SitemapUser. You should not directly instantiate a Bookmarks object; just call Bookmarks.getBookmarksForUser(User user) .
SitemapInitialiserServlet: Initialises all things Sitemap. For now : - schedule the deleting of old archived publishables, according to the web.xml parameter 'daysBeforeDeleteArchivedPublishables'
SiteNodeCreationDateComparator: This is to sort SiteNodes by CreationDate. Defaults to ascending order; you can construct one with ascendingOrder = false if you want descending order.
Template: The Template class will hold the code used to render e.g. SiteLocations. The code can either be stored in the (db) persistence layer, or via a filename reference.
SiteNodeGoLiveDateComparator: This is to sort SiteNodes by GoLiveDate. Defaults to ascending order; you can construct one with ascendingOrder = false if you want descending order.
| Home | Contact Us | Privacy Policy | Terms of Service |